package org.eclipse.jet.internal.parser;


import java.util.Map;

import org.eclipse.emf.codegen.jet.JETException;


public interface JETParseEventListener2 extends JETParseEventListener
{

  void handleComment(JETMark start, JETMark stop) throws JETException;

  void handleDeclaration(JETMark start, JETMark stop) throws JETException;

  void handleXMLEndTag(String tagName, JETMark start, JETMark stop) throws JETException;

  void handleXMLEmptyTag(String tagName, JETMark start, JETMark stop, Map attributeMap) throws JETException;

  void handleXMLStartTag(String tagName, JETMark start, JETMark stop, Map attributeMap) throws JETException;

  //	void handleText(JETMark start, JETMark end);

  boolean isKnownTag(String tagName);

  boolean isKnownInvalidTagName(String tagName);
  /**
   * Record a parsing problem.
   * @param severity
   * @param problemId
   * @param message
   * @param msgArgs
   * @param start
   * @param end
   * @param line
   * @param colOffset TODO
   */
  void recordProblem(ParseProblemSeverity severity, int problemId, String message, Object[] msgArgs, int start, int end, int line, int colOffset);

}
